config/routes.rb
Rails.application.routes.draw do
  resources :corsairs
  get '/new', to: 'corsairs#new'

  get '/index', to: 'corsairs#index'

  root 'static_pages#home'

  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html

end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/models/corsair.rb
class Corsair < ApplicationRecord
  validates :first_name,  presence: true
  validates :age,  presence: true
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
  protect_from_forgery with: :exception
  def hello
    render html: "Hello world"
  end
end

app/controllers/corsairs_controller.rb
class CorsairsController < ApplicationController

  before_action :set_corsair, only: [:show, :edit, :update, :destroy]

  def new
    @corsair = Corsair.new
  end

  def create
    @corsair = Corsair.new(corsair_params)
    @corsair.save
    redirect_to @corsair
  end

  def show
  end

  def edit
  end

  def update
    @corsair.update(params.require(:corsair).permit(:first_name, :age, :likeness))
    redirect_to corsair_path
  end


  def index
    @corsairs = Corsair.all
  end

  def destroy
    @corsair.destroy
    redirect_to corsairs_path
  end


  private
  def corsair_params
    params.require(:corsair).permit(:first_name, :age)
  end

  def set_corsair
  @corsair = Corsair.find(params[:id])
  end
end

app/controllers/static_pages_controller.rb
class StaticPagesController < ApplicationController
  def home
  end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/corsairs_helper.rb
module CorsairsHelper
end

app/helpers/static_pages_helper.rb
module StaticPagesHelper
end

app/views/corsairs/edit.html.erb
<div class="center jumbotron">
  <h1>Editer un mouss</h1>
  <h3>
    Ici, tu peux éditer les moussaillons 🎓
  </h3>
</div>

<%= form_for @corsair do |f| %>
    <div>
      <%= f.label :first_name %><br />
      <%= f.text_field :first_name%>
    </div>
    <div>
      <%= f.label :age %><br />
      <%= f.text_field :age %>
    </div>

    <%= f.radio_button(:likeness, "kebab") %>
    <%= f.label(:likeness_tag, "KEBAB") %>
    <%= f.radio_button(:likeness, "hummus") %>
    <%= f.label(:likeness_tag, "HUMMUS") %>

    <table>
    <thead>
      <tr>
        <th><%= button_to 'Edit', corsair_path(@corsair), :class=>"btn btn-sm btn-warning", :method=>:patch%></th>
        <th><%= button_to 'Destroy', @corsair, :class=>"btn btn-sm btn-danger", :method=>:delete%></th>

        <th colspan="3"></th>
      </tr>
    </thead>
    </table>
<% end %>

<%= button_to 'Back', corsairs_path, :class=>"btn btn-sm btn-secondary", :method=>:get %>

app/views/corsairs/index.html.erb
<div class="center jumbotron">
  <h1>Index</h1>
  <table>
  <thead>
    <tr>
      <th>Name</th>
      <th>Age</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @corsairs.each do |corsair| %>
      <tr>
        <td><%= corsair.first_name %></td>
        <td><%= corsair.age %></td>
        <td><%= button_to 'Show', corsair, :class=>"btn btn-sm btn-info", :method=>:get%></td>
        <td><%= button_to 'Edit', edit_corsair_path(corsair), :class=>"btn btn-sm btn-warning", :method=>:get%></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= button_to 'New Corsair', new_corsair_path, :class=>"btn btn-primary my-2", :method=>:get%>

</div>

app/views/corsairs/new.html.erb
<div class="center jumbotron">
  <h1>Nouveau mouss</h1>
  <h3>
    Ici, tu peux créer les moussaillons 🎓
  </h3>
</div>


<%= form_for @corsair do |f| %>
    <div>
      <%= f.label :first_name %><br />
      <%= f.text_field :first_name%>
    </div>
    <div>
      <%= f.label :age %><br />
      <%= f.text_field :age %>
    </div>


    <%= f.submit "Create" %>

<% end %>

<p>

  <%= button_to 'Back', corsairs_path, :class=>"btn btn-sm btn-outline-secondary", :method=>:get %>
</p>

app/views/corsairs/show.html.erb
<div class="center jumbotron">
  <h1><%= @corsair.first_name %></h1>
  <h2><%= @corsair.age %></h2>
  <h3><%= @corsair.likeness %></h3>
</div>






<%= button_to 'Edit', edit_corsair_path(@corsair), :class=>"btn btn-sm btn-warning", :method=>:get%>
<%= button_to 'Back', corsairs_path, :class=>"btn btn-sm btn-secondary", :method=>:get %>

app/views/layouts/_header.html.erb
<header class="navbar navbar-fixed-top navbar-inverse">
  <div class="container">
    <nav>
      <ul class="nav navbar-nav navbar-right">
        <li><%= link_to "Accueil",   '/' %></li>
        <li><%= link_to "Index des moussaillons",   '/index' %></li>
        <li><%= link_to "Nouveau moussaillon", '/new' %></li>
      </ul>
    </nav>
  </div>
</header>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>ThpMoussaillons</title>
    <%= csrf_meta_tags %>

    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>

<!-- Latest compiled and minified CSS -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">

<!-- Optional theme -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css" integrity="sha384-rHyoN1iRsVXV4nD0JutlnGaslCJuC7uwjduW9SVrLvRYooPp2bWYgmgJQIXwl/Sp" crossorigin="anonymous">

<!-- Latest compiled and minified JavaScript -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>

  </head>

  <body>
    <%= render "layouts/header" %>
    <%= yield %>
  </body>
</html>

app/views/static_pages/home.html.erb
<div class="center jumbotron">
  <h1>Bienvenue !</h1>
  <h3>
    Ici, tu peux retrouver les moussaillons 🎓
  </h3>
  <%= link_to "Enregistre-toi !", '/new', class: "btn btn-lg btn-primary" %>
</div>